MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003686ATutorPatcherpublic2009-01-05 09:502009-07-21 08:50
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.3 
Target VersionFixed in Version1.6.3 
Summary0003686: Cannot replace multiple lines of code; dependant patch was repeatedly display in the following patches
Description1. When new line character in the replace-from string doesn't match the new line characters in the subject, the replacement doesn't happen.

2. Example: patch 2 has a dependant patch 1, patch 3, 4 are displayed after patch 1 and they don't have any dependant patch. On "patcher" page, patch 2, 3, 4 are all displayed that they have dependant patch 1.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003449)
cindy (administrator)
2009-01-05 09:54

SVN Revision: 8295

Affected scripts:
mods/_standard/patcher/index_admin.php
mods/_standard/patcher/classes/Patch.class.php

Solution:
P1. modify function strReplace() in Patch.class.php
P2. reset variable $dependant_patch each time displaying a new patch row
(0003450)
cindy (administrator)
2009-01-05 09:55

Patch 0006 on 1.6.2 is issued for this issue.
(0003451)
cindy (administrator)
2009-01-05 09:55

Patch 0006 on 1.6.2 is issued for this issue.

- Issue History
Date Modified Username Field Change
2009-01-05 09:50 cindy New Issue
2009-01-05 09:50 cindy Affects version => SVN
2009-01-05 09:54 cindy Status new => resolved
2009-01-05 09:54 cindy Fixed in Version => 1.6.2
2009-01-05 09:54 cindy Resolution open => fixed
2009-01-05 09:54 cindy Assigned To => cindy
2009-01-05 09:54 cindy Note Added: 0003449
2009-01-05 09:55 cindy Status resolved => feedback
2009-01-05 09:55 cindy Resolution fixed => reopened
2009-01-05 09:55 cindy Note Added: 0003450
2009-01-05 09:55 cindy Status feedback => resolved
2009-01-05 09:55 cindy Resolution reopened => fixed
2009-01-05 09:55 cindy Note Added: 0003451
2009-06-12 09:24 greg Product Version 1.6.2 => 1.6.3
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version 1.6.2 => 1.6.3
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker